List webhook endpoints
GET
/v1/webhooks
const url = 'https://api.pensievelabs.co/v1/webhooks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pensievelabs.co/v1/webhooks \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The endpoints.
Media typeapplication/json
object
object
required
has_more
required
boolean
next_cursor
required
string | null
data
required
Array<object>
object
id
required
string
object
required
url
required
string format: uri
events
required
Array<string>
secret
The signing secret, in the response that creates it only.
string
created_at
required
string format: date-time
Example
{ "object": "list", "data": [ { "id": "whe_3b7c11", "object": "webhook_endpoint", "events": [ "release.ready_for_signoff" ] } ]}default
Section titled “default”Something went wrong; error.type says what.
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
param
The request field the error is about.
string | null
request_id
required
string
Example
{ "error": { "type": "invalid_request" }}